essential_rest 1.1.22 icon indicating copy to clipboard operation
essential_rest: ^1.1.22 copied to clipboard

A Dart library to facilitate service consumption and API Rest, without the need for automatic code generation or reflection it does the JSON mapping for the Entity, besides allowing to keep the data i [...]

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add essential_rest

With Flutter:

 $ flutter pub add essential_rest

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  essential_rest: ^1.1.22

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:essential_rest/essential_rest.dart';
7
likes
80
pub points
9%
popularity

Publisher

unverified uploader

A Dart library to facilitate service consumption and API Rest, without the need for automatic code generation or reflection it does the JSON mapping for the Entity, besides allowing to keep the data in CACHE using Local Storage for fast loading and load reduction to the Server

Repository (GitHub)

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

http, http_parser, universal_html

More

Packages that depend on essential_rest